/*
 *
 * css d2t
 * v 1.0
 *
 */

/* Schulungswerbung auslagern */

div.training table {
  font-size: 8pt;
  width: 100%;
  background-color: rgb(245, 245, 245);
}

div.training div.csc-default>table::before {
  width: 19px;
  content: url('/fileadmin/schulungen/tag_auf_transparent.png');
  display: inline-block;
  float: left;
}

div.training div.csc-default>table::after {
  width: 38px;
  content: url('/fileadmin/schulungen/tag_zu_transparent.png');
  display: inline-block;
  vertical-align: bottom;
}

div.training div.csc-default>table>tbody {
  display: inline-block;
  margin: 6px;
  width: 675px;
}

div.training table td {
  vertical-align: top;
}

div.training table ul {
  margin-bottom: -3px;
  margin-top: 3px;
}

div.training table ul li {
  list-style-image: url(/fileadmin/schulungen/bullet_hover_transparent.png);
}

/* main */

* {
  padding: 0;
}

a {
  color: #F96511;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

a:visited {
  /* eine schöne visited farbe */
}

body {
  height: auto;
  font-family: "PT Sans", sans-serif;
  font-size: 12px;
  height: 100%;
  color: #2A2A17;
}

h1 {
  font-size: 1.55em;
  border-bottom: 1px solid #DEDEC8;
  color: #2A2A17;
}

h2 {
  font-size: 1.45em;
}

h3 {
  font-size: 1.35em;
}

h4 {
  font-size: 1.25em;
}

h5 {
  font-size: 1.17em;
}

h6 {
  font-size: 1.07em;
}

.content ul>li {
  margin-left: 2em;
  margin-bottom: 0.5em;
  list-style-image: url(../gfx/bullet_hover.gif);
}

.content ol>li {
  margin-left: 2em;
  margin-bottom: 0.5em;
  list-style-image: none;
}

.content ul ul {
  margin-left: 2em;
}

.content ol,
.content ol ol {
  margin-left: 2em;
  padding-bottom: 5px;
}

.wrapper {
  margin: 0 auto;
  min-height: 100%;
  z-index: 0;
  width: 1000px;
}

.main {
  padding-bottom: 150px;
}

.header {
  z-index: 0;
  width: 100%;
  height: 150px;
}

.footer {
  width: 1000px;
  margin: 0 auto;
  height: 150px;
  clear: both;
  text-align: center;
  border-top: 1px solid #DEDEC8;
}

.logo {
  background: #ffffff url('../gfx/logo.png') bottom left no-repeat;
  height: 52px;
  width: 186px;
  float: left;
  margin-top: 30px;
  margin-left: 16px;
}

.langsPhrase {
  width: 750px;
  float: right;
  padding-top: 20px;
  padding-right: 2px;
}

.langphrase div {
  float: right;
}

.langs {
  text-align: right;
  padding-bottom: 20px;
  padding-right: 2px;
}

.langs ul {
  list-style-type: none;
}

.langs li {
  display: inline;
}

.langs span {
  visibility: hidden;
  padding: 0px 5px;
}

.langs li.langDe a {
  background: url(../gfx/de.png) no-repeat right;
}

.langs li.langEn a {
  background: url(../gfx/gb.png) no-repeat right;
}

.langs li.langFr a {
  background: url(../gfx/fr.png) no-repeat right;
}

.langs li.langEs a {
  background: url(../gfx/es.png) no-repeat right;
}

span.important {
  font-family: "Consolas", "Bitstream Vera Sans Mono", "Courier New", Courier, mono, sans-serif;
}

.phrase {
  text-align: left;
  color: #4f491d;
  text-shadow: 1px 1px 2px #DADADA;
  font-weight: bold;
  font-size: 15px;
  position: absolute;
  top: 88px;
  margin-left: 15px;
  width: 200px;
  line-height: 23px;
}


.langs {
  position: relative;
  right: 12px;
}

.contact {
  margin-top: -22px;
  font-weight: bold;
  width: auto;
  float: right;
  margin-right: -8px;
  color: #bbb;
}

.contact ul {
  list-style-type: none;
  text-align: right;
}

.contact li {
  padding: 0 23px;
}

.contact li:first-child {
  background: url(../gfx/phone-12-light.png) no-repeat left;
}

.contact li:last-child {
  background: url(../gfx/email-16-light.png) no-repeat left;

}

.contact a {
  color: #bbb;
}

/* navigation */
.nav {
  font-size: 13px;
  line-height: 14px;
  height: 48px;
  float: right;
  margin-top: 5px;
  width: 750px;
  margin-left: 90px;
}

.nav>ul {
  height: auto;
  bottom: 0px;
  list-style-type: none;
  width: auto;
  padding: 0;
  margin: 0;
  display: table-row;
  float: right;
}

.nav li {
  margin: 0;
  padding: 0;
  display: inline;
  display: table-cell;
  height: 32px;
}

.nav li ul {
  z-index: 10;
  visibility: hidden;
  background: #fff;
  position: absolute;
  top: 152px;
  margin-left: 10px;
  min-width: 140px;
}

.nav li:hover ul {
  visibility: visible;
}

.nav li li {
  margin: 0;
  display: block;
  height: 28px;
  background: #fff;
  display: block;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
  opacity: 0.9;
}

.nav li li a {
  padding: 6px 10px;
}

.nav li li:first-child {
  border-top: 1px solid #ccc;
  -webkit-border-top-left-radius: 3px;
  -webkit-border-top-right-radius: 3px;
  -moz-border-radius-topleft: 3px;
  -moz-border-radius-topright: 3px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
}

.nav li li:last-child {
  border-bottom: 1px solid #ccc;
  -webkit-border-bottom-right-radius: 3px;
  -webkit-border-bottom-left-radius: 3px;
  -moz-border-radius-bottomright: 3px;
  -moz-border-radius-bottomleft: 3px;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  box-shadow: 0px 1px 1px rgba(90, 90, 90, 0.25);
}



.nav a {
  text-decoration: none;
  display: block;
  padding: 6px 19px;
  font-weight: bold;
  color: #4F491D;
}

.nav li.active {}

.nav li.active li.active {}

.nav li.active>a,
.nav li.active li.active>a {}

.nav li:hover a {
  color: #f96511;
}

.nav li:hover li a {
  color: #4F491D;
}

.nav li a:hover,
.nav li li:hover a {
  color: #f96511;
}

.nav li li a:hover {}

#home {
  height: 22px;
  width: auto;
  background: url('../gfx/1-home.png') no-repeat center;
}

#leistungen {
  height: 22px;
  width: auto;
  background: url('../gfx/2-leistungen.png') no-repeat center;
}

#software {
  height: 22px;
  width: auto;
  background: url('../gfx/3-software.png') no-repeat center;
}

#xmltech {
  height: 28px;
  width: auto;
  background: url('../gfx/4-xml.png') no-repeat center;
}

#publikation {
  height: 26px;
  width: auto;
  background: url('../gfx/5-publikationen.png') no-repeat center;
}

#about {
  height: 21px;
  width: auto;
  background: url('../gfx/6-about.png') no-repeat center;
}





/* suchfeld */

.searchform {
  margin-bottom: 15px;
}

.searchform form {
  width: 200px;
}

.searchform input {
  height: 15px;
  margin-top: 10px;
  padding: 3px 4px;
  color: #666;
  font-style: italic;
  margin-right: -4px;
  width: 190px;

  border: 1px solid #ccc;
  border-radius: 3px;
  box-shadow: 0px 1px 1px rgba(90, 90, 90, 0.25);
}


/* nav left */
.nav_left {
  margin-top: 10px;
  padding: 5px 10px;
  border: 1px solid #ccc;
  border-radius: 3px;
  box-shadow: 0px 1px 1px rgba(90, 90, 90, 0.25);
}

.nav_left ul {
  margin: 0;
  list-style-type: none;
}

.nav_left li {
  margin: 4px 0;
  list-style-image: none;
}

.nav_left li li {
  padding-left: 10px;
}

.nav_left li li li {
  padding-left: 10px;
}

.nav_left li.active>a {
  font-weight: bold;
}

.nav_left a {
  text-decoration: none;
  color: #000;
  font-size: 12px;
}

.nav_left a:hover {
  color: #F48020;
}

/* sidebar */


.breadcrumbs {
  font-size: 12px;
  margin-bottom: 10px;
}

.breadcrumbs a {}

/* rotator in-page placement */
div.rotator {
  position: relative;
  height: 345px;
  margin-left: 0px;
  display: none;
}

/* rotator css */
div.rotator ul li {
  float: left;
  position: absolute;
  list-style: none;
}

/* rotator image style */
div.rotator ul li img {
  padding: 4px;
  background: #FFF;
  width: 150px;
}

div.rotator ul li.show {
  z-index: 500
}

/* layout */
.cwrapper {
  width: 100%;
}

.left {
  width: 200px;
  float: left;
  padding-left: 10px;
}

.content {
  float: right;
  width: auto;
  margin-top: 9px;
  margin-right: 15px;
  width: 750px;
}

.footer {
  padding: 10px 0px;
}


/* multicolumn container */
li.column {
  list-style-type: none;
  list-style-image: none !important;
  margin-left: 0px !important;
  width: 45% !important;
}

li.columnFirst {
  padding-right: 5px;
  margin-right: 15px !important;
}

li.columnLast {
  padding-left: 5px;
  margin-left: 15px !important;
}



table.referenz td {
  padding: 5px;
}

table.referenz {
  margin: 0 -5px;
}

table.tabelle_border td {
  padding: 5px;
  border: 1px solid #dedec8;
}

table.tabelle_border {
  margin: 0;
}

table.stripe tbody tr.oddRow {
  background-color: #ccc;
}

table.stripe tbody tr {
  background-color: #ddd;
}

table.stripe {
  border-collapse: collapse;
}

table.stripe tbody td {
  vertical-align: top;
}

table.code tbody tr.oddRow {
  background-color: #ccc;
}

table.code tbody tr {
  background-color: #ddd;
}

table.code {
  margin-left: 1px;
  font-family: "Consolas", "Bitstream Vera Sans Mono", "Courier New", Courier, mono, sans-serif;
}

table.code thead tr {
  background-color: #ddd;
}

table.code thead {
  font-weight: bold;
}

table.code thead tr th {
  border: 1px solid #fff;
  padding: 2px;
  width: 50%;
  vertical-align: top;
}

table.code td {
  border: 1px solid #fff;
  padding: 2px;
  width: 50%;
  vertical-align: top;
}

table.kunden tbody tr.oddRow {
  background-color: #ccc;
}

table.kunden tbody tr {
  background-color: #ddd;
}

table.kunden {
  margin-left: 1px;
  font-size: 9pt;
}

table.kunden thead tr {
  background-color: #ddd;
}

table.kunden thead {
  font-weight: bold;
}

table.kunden thead tr th {
  border: 1px solid #fff;
  padding: 2px;
  vertical-align: top;
}

table.kunden td {
  border: 1px solid #fff;
  padding: 2px;
  vertical-align: top;
}

table.kunden td:first-child {
  width: 20%;
}

table.kunden td:first-child+td {
  width: 20%;
}

table.kunden td:first-child+td+td {
  width: 25%;
}

table.kontakt {
  margin-top: 20px;
}

table.kontakt td {
  vertical-align: top;
}

table.kontakt td:first-child {
  width: 120px;
}


.tx-imagecycle-pi1-pager {
  text-align: right;
  position: absolute;
  z-index: 999999;
  top: 272px;
  right: 10px;
}

.tx-imagecycle-pi1-pager a {
  background: #666;
  color: #666;
  border-color: #666;
  border-radius: 2px;
  padding: 0px 3px;
  opacity: 0.8;
}

.tx-imagecycle-pi1-images li {
  margin: 0 !important;
}

.tx-imagecycle-pi1-pager a.activeSlide {
  background: #444;
  color: #444;
  border-color: #444;
}

.tx-imagecycle-pi1 img {
  border-radius: 3px;
}

.tx-imagecycle-pi1 {}

.tx-imagecycle-pi1-images a {}

div.boxOrange,
div.boxGrey,
div.boxGreen,
div.boxWhite {
  width: 200px;
  border-radius: 3px;
  margin-bottom: -7px;
  font-size: 13px;
  box-shadow: 0px 1px 1px rgba(90, 90, 90, 0.75);
}

div.boxOrange:hover,
div.boxGrey:hover,
div.boxGreen:hover {
  /*opacity: 0.8;*/
}

div.boxOrange {
  background: #f98423;
}

div.boxGrey {
  background: #4a4a4a;
}

div.boxGreen {
  background: #4f491d;
}

div.boxOrange p,
div.boxGrey p,
div.boxGreen p {
  padding: 5px 11px;
  color: #fff;
}

div.boxOrange a,
div.boxGrey a,
div.boxGreen a {
  color: #fff;
  text-decoration: none;
  width: 180px;
}

div.boxOrange a:hover,
div.boxGrey a:hover,
div.boxGreen a:hover {
  color: #fff;
  text-decoration: underline;
  width: 180px;
}

.sidebar div.csc-default {
  margin-bottom: 20px;
}

img {
  border: none;
}

div.boxWhite {
  border: 1px solid #bbb;
  border-radius: 3px;
  box-shadow: 0px 1px 1px rgba(90, 90, 90, 0.25);
  padding: 0px;
}

div.boxWhite p {
  color: #ccc;
  padding: 0px 11px;
}

div.boxWhite hr {
  color: #ccc;
  background-color: #ccc;
  height: 1px;
  border: 0px;
  padding: 0 5px;
  width: 170px;
}


div.clients {
  color: #bbb;
  font-weight: bold;

}

img.rounded {
  border-radius: 3px;
}

/* flb */
.syntaxhighlighter .line.alt2 {
  background-color: #F8F8F8 !important;
}

.syntaxhighlighter,
.syntaxhighlighter.source {
  overflow: visible !important;
}

.syntaxhighlighter .line {
  white-space: pre-wrap !important;
}

.syntaxhighlighter table td.code .container textarea {
  white-space: pre-wrap !important;
}

.syntaxhighlighter .toolbar {
  display: none;
  background: #f8f8f8 !important;
  width: 96px !important;
  height: 16px !important;
  padding: 8px !important;
  border: 1px solid lightgrey !important;
  text-align: center !important;
}

.syntaxhighlighter:hover .toolbar,
.syntaxhighlighter.toolbarActive .toolbar {
  display: inline-block;
}

.syntaxhighlighter .toolbar a,
.syntaxhighlighter .toolbar span.item {
  display: inline-block !important;
  width: 16px !important;
  height: 16px !important;
  background-repeat: no-repeat !important;
  margin-right: 8px !important;
  cursor: pointer;
}

.syntaxhighlighter .toolbar a.about {
  background-image: url('../gfx/help.png') !important;
}

.syntaxhighlighter .toolbar span.copySource {
  background-image: url('../gfx/copypaste.png') !important;
}

.syntaxhighlighter .toolbar a.viewSource {
  background-image: url('../gfx/page_white_code.png') !important;
}

.syntaxhighlighter .toolbar a.printSource {
  background-image: url('../gfx/printer.png') !important;
}

.syntaxhighlighter .toolbar a.help {
  margin: 0 !important;
}

.syntaxhighlighter .line,
.syntaxhighlighter .line code {
  line-height: 13px !important;
  min-height: 13px !important;
}

/* #0065495: Data2type > Werbung für Schulungen */
div.innerTraining {
  -webkit-transition: all 3s 0.5s ease-out;
  -moz-transition: all 3s 0.5s ease-out;
  -o-transition: all 3s 0.5s ease-out;
  transition: all 3s 0.5s ease-out;
  position: static;
  opacity: 0;
}

div.training .animate {
  bottom: -300px;
}

div.training figure {
  margin-bottom: 0 !important;
}

div.training img {
  border-radius: 4px;
  box-shadow: 0 3px 3px 1px #888;
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -o-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
}

div.trainingTransition {
  position: fixed;
  bottom: 0;
  opacity: 1;
}

div.innerTraining.visible,
div.innerTraining.fixed {
  opacity: 1;
  -webkit-transition: none;
  -moz-transition: none;
  -o-transition: none;
  transition: none;
}

div.innerTraining.noShadow img {
  box-shadow: none;
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -o-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
}

p.align-center {
  text-align: center;
}

/* Internal-Links #0065496: Data2type > Interne Verlinkungen (Schlagworte) */
a.tx-glossary span {
  cursor: pointer;
}



/* FO-Referenz CSS TEST */


beispiel_abbildung {

  border: solid 1px black;
}

.quellcode {
  line-height: 100%;
  font-family: "PT Sans", sans-serif;
  ;
  font-size: 8pt;

}

.quellcodelink {
  color: black;
  text-decoration: none;
}

.quellcodeabs {
  line-height: 100%;
  margin-bottom: 0px;
  margin-top: 0px;
  padding-top: 0px;
  padding-bottom: 0px;
  font-size: 8pt;
}

span[itemid]:after {
  content: attr(itemid);
  color: gray;
  font-size: 70%;
  text-align: right;
}

span.quellcode {
  line-height: 100%;
  font-family: "PT Sans", sans-serif;
  ;
  font-size: 8pt;
}

table.e_attribute,
{
border-collapse: separate;
background: #fff;
@include border-radius(5px);
margin: 30px auto;
@include box-shadow(0px 0px 5px rgba(0, 0, 0, 0.3));
}

thead.e_attribute {
  @include border-radius(5px);
}

thead.e_attribute th.e_attribute {

  font-size: 16px;
  font-weight: 400;
  color: #fff;
  @include text-shadow(1px 1px 0px rgba(0, 0, 0, 0.5));
  text-align: left;
  /* padding:20px;*/
  @include background-image(linear-gradient(#646f7f, #4a5564));
  border-top: 1px solid #858d99;

  &amp;

  :first-child {
    @include border-top-left-radius(5px);
  }

  &amp;

  :last-child {
    @include border-top-right-radius(5px);
  }
}

tbody.e_attribute tr.e_attribute td.e_attribute {
  font-size: 9pt;
  font-weight: 400;
  padding: 5px 5px 5px 5px;
  border-bottom: 1px solid #e0e0e0;
}

tbody.e_attribute tr:nth-child(2n) {
  background: #f0f3f5;
}

tbody.e_attribute tr:last-child td {
  border-bottom: none;
  &amp;

  :first-child {
    @include border-bottom-left-radius(5px);
  }

  &amp;

  :last-child {
    @include border-bottom-right-radius(5px);
  }
}

tbody.e_attribute :hover &gt;

tr td {
  @include opacity(0.5);

  /* uncomment for blur effect */
  /* color:transparent;
          @include text-shadow(0px 0px 2px rgba(0,0,0,0.8));*/
}

tbody.e_attribute :hover &gt;

tr:hover td {
  @include text-shadow(none);
  color: #2d2d2d;
  @include opacity(1.0);
}


.hardShade {
  background: #f5f5f5;
  border: 1px solid #DDD;
  box-shadow: 3px 3px 0px rgba(0, 0, 0, .2);
}

.tns-nav button {
  border: 1px solid #ccc;
  border-radius: 100%;
  display: block;
  height: 12px;
  margin: 5px;
  width: 12px;
}

.tx-indexedsearch-info {
  background: #eeeeee;
  padding: 5px;
}

.tx-indexedsearch-icon svg {
  width: 18px;
  height: 18px;
}


.tx-indexedsearch-browsebox li {
  display: inline;
  margin-right: 5px;
}

li:has(a.tx-indexedsearch-page-selector) {
  margin-left: 1em;
}

.sidebar div.frame-default {
  margin-bottom: 20px;
}


/* Columns Container */

.header-children {
  margin-bottom: 1rem;
}

.columns-wrapper {
  display: flex;
  gap: 2rem;
}

.left-children,
.right-children {
  flex: 1;
}

@media (max-width: 768px) {
  .columns-wrapper {
    flex-direction: column;
  }
}